import 'package:flutter/widgets.dart';
import 'package:gmalpha_flutter/MessageModel/NewMessageRouter.dart';
import 'package:gmalpha_flutter/MessageModel/page/attention/AttentionPage.dart';
import 'package:gmalpha_flutter/MessageModel/page/focusPage/FocusPage.dart';
import 'package:gmalpha_flutter/MessageModel/page/likePage/LikePage.dart';
import 'package:gmalpha_flutter/MessageModel/page/messagePage/MessagePage.dart';

class NewMessageRouterImpl implements NewMessageRouter {
  @override
  Widget getMessagePage(String fromPage) {
    return MessagePage(fromPage);
  }

  @override
  Widget getAttentionPage(String fromPage) {
    return AttentionPage(fromPage);
  }

  @override
  Widget getLikePage(String fromPage) {
    return LikePage(fromPage);
  }

  @override
  Widget getFocusPage(String fromPage) {
    return FocusPage(fromPage);
  }
}